Bug 184080 - textproc/p5-XML_SAXDriver-Sablotron : deprecate
Summary: textproc/p5-XML_SAXDriver-Sablotron : deprecate
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-perl (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-19 10:30 UTC by Rene Ladan
Modified: 2013-11-20 15:00 UTC (History)
0 users

See Also:


Attachments
file.diff (594 bytes, patch)
2013-11-19 10:30 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2013-11-19 10:30:00 UTC
textproc/p5-XML_SAXDriver-Sablotron depends on textproc/p5-XML-Sablotron
which is expired, so mark this port for removal on 2013-12-19.

Fix: Patch attached with submission follows:
How-To-Repeat: Tools/scripts/rmport textproc/p5-XML-Sablotron
Comment 1 Philippe Audeoud freebsd_committer 2013-11-20 14:52:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

Perl wants his PR.
Comment 2 dfilter service freebsd_committer 2013-11-20 14:56:29 UTC
Author: jadawin
Date: Wed Nov 20 14:56:22 2013
New Revision: 334424
URL: http://svnweb.freebsd.org/changeset/ports/334424

Log:
  - Mark as deprecated and set expiration date.
  
  PR:		ports/184080
  Submitted by:	rene@

Modified:
  head/textproc/p5-XML-SAXDriver-Sablotron/Makefile

Modified: head/textproc/p5-XML-SAXDriver-Sablotron/Makefile
==============================================================================
--- head/textproc/p5-XML-SAXDriver-Sablotron/Makefile	Wed Nov 20 14:54:31 2013	(r334423)
+++ head/textproc/p5-XML-SAXDriver-Sablotron/Makefile	Wed Nov 20 14:56:22 2013	(r334424)
@@ -10,6 +10,9 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	perl@FreeBSD.org
 COMMENT=	Perl SAX driver for the Sablotron XSLT
 
+DEPRECATED=	Depends on expired textproc/p5-XML-Sablotron
+EXPIRATION_DATE=	2013-12-19
+
 BUILD_DEPENDS=	p5-XML-Sablotron>=0:${PORTSDIR}/textproc/p5-XML-Sablotron \
 		p5-XML-SAX>=0:${PORTSDIR}/textproc/p5-XML-SAX
 RUN_DEPENDS:=	${BUILD_DEPENDS}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Philippe Audeoud freebsd_committer 2013-11-20 14:56:41 UTC
State Changed
From-To: open->closed

Committed. Thanks!